package com.ruoyi.app.utils.zaloPay;

import com.alibaba.fastjson.annotation.JSONField;

public class ZaloPayRefundResponse {

    @JSONField(name = "return_code")
    private Integer returnCode;

    @JSONField(name = "return_message")
    private String returnMessage;

    @JSONField(name = "sub_return_code")
    private Integer subReturnCode;

    @JSONField(name = "sub_return_message")
    private String subReturnMessage;

    @JSONField(name = "refund_id")
    private Long refundId;

    // Getters and Setters

    public Integer getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(Integer returnCode) {
        this.returnCode = returnCode;
    }

    public String getReturnMessage() {
        return returnMessage;
    }

    public void setReturnMessage(String returnMessage) {
        this.returnMessage = returnMessage;
    }

    public Integer getSubReturnCode() {
        return subReturnCode;
    }

    public void setSubReturnCode(Integer subReturnCode) {
        this.subReturnCode = subReturnCode;
    }

    public String getSubReturnMessage() {
        return subReturnMessage;
    }

    public void setSubReturnMessage(String subReturnMessage) {
        this.subReturnMessage = subReturnMessage;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }
}
